[
  {
    "metadataOutputVersion" : "3.0",
    "outputSchema" : [
      {
        "isOptional" : "0",
        "formattedType" : "String",
        "type" : "String",
        "name" : "target",
        "shortDescription" : ""
      },
      {
        "isOptional" : "0",
        "keyType" : "String",
        "formattedType" : "Dictionary (String → Double)",
        "type" : "Dictionary",
        "name" : "targetProbability",
        "shortDescription" : ""
      }
    ],
    "modelParameters" : [

    ],
    "author" : "Chris Haulmark",
    "specificationVersion" : 8,
    "isUpdatable" : "0",
    "stateSchema" : [

    ],
    "availability" : {
      "macOS" : "14.0",
      "tvOS" : "17.0",
      "visionOS" : "1.0",
      "watchOS" : "unavailable",
      "iOS" : "17.0",
      "macCatalyst" : "17.0"
    },
    "modelType" : {
      "name" : "MLModelType_imageClassifier",
      "structure" : [
        {
          "name" : "MLModelType_visionFeaturePrint"
        },
        {
          "name" : "MLModelType_glmClassifier"
        }
      ]
    },
    "inputSchema" : [
      {
        "height" : "360",
        "colorspace" : "BGR",
        "isOptional" : "0",
        "width" : "360",
        "isColor" : "1",
        "formattedType" : "Image (Color 360 × 360)",
        "hasSizeFlexibility" : "0",
        "type" : "Image",
        "shortDescription" : "",
        "name" : "image"
      }
    ],
    "classLabels" : [
      "black_bishop",
      "black_king",
      "black_knight",
      "black_pawn",
      "black_queen",
      "black_rook",
      "white_bishop",
      "white_king",
      "white_knight",
      "white_pawn",
      "white_queen",
      "white_rook"
    ],
    "generatedClassName" : "ChessPieceClassifier",
    "userDefinedMetadata" : {
      "com.apple.createml.version" : "15.3.0",
      "com.apple.createml.app.tag" : "150.3",
      "com.apple.coreml.model.preview.type" : "imageClassifier",
      "com.apple.createml.app.version" : "6.1"
    },
    "method" : "predict"
  }
]